> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno Create Voice API 文档

> Suno Create Voice 用于根据上传的音频创建自定义语音模型。

<Info>
  **Create Voice 为异步任务接口。**

  提交请求后不会立即返回生成结果，你可以通过以下方式获取结果：

  * 设置 **hookUrl**，任务完成后系统会向该地址发送 **回调通知**
  * 或调用 **[fetch 接口](/api/cn/suno/suno_fetch_v2)** 主动查询任务状态和结果

  如果使用 **hookUrl**，请确保该地址为公网可访问地址，否则可能无法接收回调通知。
</Info>

<Warning>
  1. 上传的音频必须包含**清晰的人声**，否则可能导致创建失败。

  请注意以下要求：

  * 音频中必须为**清晰的人声**
  * 避免包含**背景噪音、音乐或回声**
  * 不要包含**多个说话人**
  * 人声过小、不清晰或存在杂音，**可能导致生成失败或效果较差**

  2. 由于创建的语音为**非公开资源（Private Voice）**，存在以下使用限制：

  * **不支持跨账号使用语音**
  * 语音创建成功后，请及时使用，否则可能会失效或无法调用

  建议在语音创建成功后尽快完成相关任务，以避免资源失效。
</Warning>

<Tip>
  推荐音频要求：

  * 音频时长：**大于 10 秒**
  * 说话人：**单人**
  * 录制环境：**安静无杂音**
  * 音频格式：**WAV 或 MP3**
</Tip>


## OpenAPI

````yaml openapi/cn/suno.json POST /suno/v1/create-voice
openapi: 3.1.0
info:
  title: TTAPI API DOCS
  version: 1.0.0
  description: Suno 音乐生成相关接口
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /suno/v1/create-voice:
    post:
      requestBody:
        required: true
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    audio_url:
                      type: string
                      description: 音频链接，必须是可公开访问的音频地址，音频文件仅支持 **MP3** 和 **WAV** 格式。
                  required:
                    - audio_url
                - $ref: '#/components/schemas/HookUrlParams'
      responses:
        '200':
          $ref: '#/components/responses/SuccessResponse'
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    HookUrlParams:
      type: object
      properties:
        hookUrl:
          type: string
          description: 回调通知地址
  responses:
    SuccessResponse:
      description: 请求成功
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: SUCCESS
              message:
                type: string
                example: success
              data:
                type: object
                example:
                  jobId: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
            required:
              - status
              - message
              - data
    400Response:
      description: 参数错误
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: 授权失败
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        请前往 <a href='https://dashboard.ttapi.io' target='_blank'>TTAPI 控制台</a>
        获取 API 密钥。

````